> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# スキャンを取得

> 指定したスキャンの詳細を取得します



## OpenAPI

````yaml /ja/api-reference/openapi.json get /scan/{scan_id}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /scan/{scan_id}:
    get:
      tags:
        - スキャン
      summary: スキャンを取得
      description: 指定したスキャンの詳細を取得します
      operationId: getScan
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: スキャンID
      responses:
        '200':
          description: スキャンの詳細を正常に取得しました
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  project:
                    type: string
                  repo:
                    type: string
                  branch:
                    type: string
                  status:
                    type: string
                    enum:
                      - scanning
                      - processing
                      - complete
                      - incomplete
                    description: >-
                      スキャンの進行状況。「scanning」と「processing」は実行中、「complete」は完了、「incomplete」は失敗を示します。
                  engine:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  time_taken:
                    type: number
                    nullable: true
                    description: スキャン所要時間（秒）。スキャン処理が完了するまではnullです
                  git_sha:
                    type: string
                    nullable: true
                    description: スキャンに関連付けられたコミットSHA
                  metadata:
                    type: object
                    nullable: true
                    additionalProperties: true
                    description: スキャンに関連付けられたユーザー指定のメタデータ
        '403':
          description: 権限がありません
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Permission denied
        '404':
          description: スキャンが見つかりません
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Scan doesn't exist
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````